### Namespace

# Jsonrpc – 1.0

A GNOME library to communicate with JSON-RPC based peers

Version | 3.44.0
Authors | Christian Hergert
License | LGPL-2.1
Website | https://gitlab.gnome.org/GNOME/jsonrpc-glib/
Source | https://gitlab.gnome.org/GNOME/jsonrpc-glib/

#### Build

C headers | `jsonrpc-glib.h`
pkg-config files | `jsonrpc-glib-1.0`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Client | A client for JSON-RPC communication. since: 3.26
InputStream |
OutputStream |
Server | A server for JSON-RPC communication.

#### Structs

MessageAny |
MessageGetBoolean |
MessageGetDict |
MessageGetDouble |
MessageGetInt32 |
MessageGetInt64 |
MessageGetIter |
MessageGetString |
MessageGetStrv |
MessageGetVariant |
MessageMagic |
MessagePutBoolean |
MessagePutDouble |
MessagePutInt32 |
MessagePutInt64 |
MessagePutString |
MessagePutStrv |
MessagePutVariant |

#### Enumerations

ClientError |

#### Callbacks

ServerHandler |

#### Functions

message_new |
message_new_array |
message_parse |
message_parse_array |

#### Function Macros

CHECK_VERSION | Compile-time version checking. Evaluates to `TRUE` if the version of jsonrpc-glib is greater than the required one.
DEPRECATED_FOR |
DEPRECATED_IN_3_26_FOR |
DEPRECATED_IN_3_28_FOR |
DEPRECATED_IN_3_30_FOR |
DEPRECATED_IN_3_40_FOR |
DEPRECATED_IN_3_44_FOR |
ENCODE_VERSION |
MESSAGE_NEW |
MESSAGE_NEW_ARRAY |
MESSAGE_PARSE |
MESSAGE_PARSE_ARRAY |
UNAVAILABLE |

#### Constants

MAJOR_VERSION | Jsonrpc-glib major version component (e.g. 1 if `JSONRPC_VERSION` is 1.2.3)
MICRO_VERSION | Jsonrpc-glib micro version component (e.g. 3 if `JSONRPC_VERSION` is 1.2.3)
MINOR_VERSION | Jsonrpc-glib minor version component (e.g. 2 if `JSONRPC_VERSION` is 1.2.3)
VERSION_S | Jsonrpc-glib version, encoded as a string, useful for printing and concatenation.